
Foreman - Bug #9776

foreman does not show a warning if a dhcp reservation already exists and simply fails

03/16/2015 07:59 AM - Mattias Giese

Status: Rejected   

Priority: High   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Heya,

as the subject suggests. If i try to add a new host with a hostname that was defined earlier Foreman does not show a warning.

It simply fails while adding the dhcp reservation: http://pastebin.centos.org/16936/

This also occurs while using the Discovery plugin (3.0.0).

In earlier versions, a popup was displayed with a warning which let me choose to overwrite the existing reservation with a new one.

Related issues:

Related to Foreman - Bug #8727: Discovered hosts with same MAC address are re... Closed 12/16/2014

History

#1 - 03/16/2015 08:02 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#2 - 03/31/2015 12:29 PM - Lukas Zapletal

Please upgrade to Foreman 1.8 RC2 which contains a fix for related bug #9776. It may fix this.

Can you describe how can I reproduce this behavior?

#3 - 03/31/2015 12:29 PM - Lukas Zapletal

- Related to Bug #8727: Discovered hosts with same MAC address are reported as DHCP conflicts added

#4 - 03/31/2015 12:30 PM - Lukas Zapletal

Sorry I meant #8727.

#5 - 04/02/2015 06:15 AM - Dominic Cleal

- Status changed from New to Need more information

#6 - 04/20/2015 03:29 AM - Dominic Cleal

- Status changed from Need more information to Feedback

- translation missing: en.field_release deleted (28)

#7 - 07/19/2016 04:11 AM - Lukas Zapletal

I am unable to reproduce this one with latest release.

#8 - 07/19/2016 04:11 AM - Lukas Zapletal

- Status changed from Feedback to Rejected

Feel free to reopen if needed.
